Download it now!
Bug 96368 - No selection in Address source book + Click Next button may give some error about Evolution
Summary: No selection in Address source book + Click Next button may give some error a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5...
Keywords:
Depends on:
Blocks: Address-Source
  Show dependency treegraph
 
Reported: 2015-12-09 20:03 UTC by Julien Nabet
Modified: 2017-12-06 20:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2015-12-09 20:03:19 UTC
On pc Debian x86-64 with master sources updated today + brand new LO profile, I get an error message when clicking Next Button without having selected anything in Address book wizard.

Steps to reproduce:
1) Launch Writer
2) Menu File/Wizards/Address Data Source...
3) Click "Next button"
=> Error message:
The connection to the external data source could not be established. No SDBC driver was found for the URL 'sdbc:address:evolution:local'.
Comment 1 Julien Nabet 2015-12-09 20:04:19 UTC
Reproduced with 5.0.3.2 LO Debian package=> change earliest version.
Comment 2 Commit Notification 2015-12-09 22:04:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b69dd64be71d1420158a553fb5ec861039cb017

tdf#96368: Address book wizard with no selection returns Evolution

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-09 22:04:40 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6158def661f8281c4fc3493c7e2a1753d3891437&h=libreoffice-5-1

tdf#96368: Address book wizard with no selection returns Evolution

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-12-23 16:19:10 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc66e55c53d55a91fffa7591fec96cb9578e71e3&h=libreoffice-5-0

tdf#96368: Address book wizard with no selection returns Evolution

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.